#include	"compiler.h"
#include	"strres.h"
#include	"np2ver.h"
#include	"pccore.h"
#include	"vramhdl.h"
#include	"menubase.h"
#include	"menustr.h"
#include	"sysmenu.res"
#include	"../generic/softkbd.h"
#include	"dlgsoftkbd.h"


enum {
	DID_ICON	= DID_USER
};

static const MENUPRM res_softkbd[] = {
			{DLGTYPE_ICON,		DID_ICON,		0,
				(void *)MICON_SOFTKBD,						 0,  0,  308,  94}};


// ----

static void dlginit(void) {

	menudlg_appends(res_softkbd, NELEMENTS(res_softkbd));
}

int dlgsoftkbd_cmd(int msg, MENUID id, long param) {

	switch(msg) {
		case DLGMSG_CREATE:
			dlginit();
			break;

		case DLGMSG_COMMAND:
			switch(id) {
				case DID_OK:
					menubase_close();
					break;
				case DID_ICON:
				{
					int x;
					int y;

					x = (int)(param >> 16u);
					y = (int)(param & 0xFFFF);

					softkbd_down(x, y);
					softkbd_up();

					break;
				}
			}
			break;

		case DLGMSG_CLOSE:
			menubase_close();
			break;
	}
	(void)param;
	return(0);
}
